Package Gnumed :: Package business :: Module gmPerson :: Class cDTO_person |
[frames] | no frames]

# Class cDTO_person

source code

    object --+
             |
            cDTO_person

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
keys(self) | source code
delete_from_source(self) | source code
get_candidate_identities(self, can_create=False) Generate generic queries. | source code
import_into_database(self) Imports self into the database. | source code
import_extra_data(self, *args, **kwargs) | source code
remember_external_id(self, name=None, value=None, issuer=None, comment=None) | source code
remember_comm_channel(self, channel=None, url=None) | source code
remember_address(self, number=None, street=None, urb=None, region=None, zip=None, country=None) | source code
__str__(self) str(x) | source code
__setattr__(self, attr, val) Do some sanity checks on self.* access. | source code
__getitem__(self, attr) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_candidate_identities(self, can_create=False) | source code
    Generate generic queries.

    - not locale dependant
    - data -> firstnames, lastnames, dob, gender

    shall we mogrify name parts ? probably not as external
    sources should know what they do

    finds by inactive name, too, but then shows
    the corresponding active name ;-)

    Returns list of matching identities (may be empty)
    or None if it was told to create an identity but couldn't.

### __str__(self) (Informal representation operator) | source code
str(x) Overrides: object.__str__ (inherited documentation)

### __setattr__(self, attr, val) | source code
Do some sanity checks on self.* access. Overrides: object.__setattr__